#ifndef _VisibilityMesh_H__
#define _VisibilityMesh_H__


#include <OgreEntity.h>
#include "VisibilityInfo.h"

namespace GtpVisibility {
  typedef Ogre::Entity Mesh;
  typedef Ogre::SubEntity Patch;
}


typedef std::vector<GtpVisibility::Mesh *> GeometryVector;
typedef std::vector<GtpVisibility::Patch *> PatchVector;


typedef GtpVisibility::VisibilityInfo<GtpVisibility::Patch *> PatchInfo;
typedef GtpVisibility::VisibilityInfo<GtpVisibility::Mesh *> MeshInfo;
typedef GtpVisibility::VisibilityInfo<GtpVisibility::HierarchyNode *> NodeInfo;


typedef std::vector<PatchInfo> PatchInfoContainer;
typedef std::vector<MeshInfo> MeshInfoContainer;
typedef std::vector<NodeInfo> NodeInfoContainer;


#endif // VisibilityMesh.h
