#ifndef _CullingLogManager_H__
#define _CullingLogManager_H__


#include <fstream>
#include <iostream>


namespace GtpVisibility {


/** Log manager controlling the debug output.
	This class defines the pattern of singleton to assure that
	there is always only one log manager.
*/
class CullingLogManager {

public:

	/** Returns the resource manager as a singleton.
	*/
	static CullingLogManager *GetSingleton();

	static void DelSingleton();

	void LogMessage(const std::string &str);

protected:

	/** Default constructor. The constructor is protected
		to have control over instantiation using the 
		singleton pattern.
	*/
	CullingLogManager();

	~CullingLogManager() {}
	

protected:

	std::ofstream mOutStream;

private:

	static CullingLogManager *sLogManager;
	
};


}

#endif
